//Internally generated explosion data.
//Do not mess with it

while((cPrimitive=primitives) != NULL) {
	primitives=cPrimitive->next;
	switch(cPrimitive->flags & RASTER_GLOBAL_MASK) {
		case 0: {
			#include "stochasticTriangle.h"
			continue;
		}
		break;
		case 1: {
			#define STOCHASTIC_MOVING
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			continue;
		}
		break;
		case 2: {
			#define STOCHASTIC_TRANSPARENT
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			continue;
		}
		break;
		case 3: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			continue;
		}
		break;
		case 4: {
			#include "stochasticPoint.h"
			continue;
		}
		break;
		case 5: {
			#define STOCHASTIC_MOVING
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			continue;
		}
		break;
		case 6: {
			#define STOCHASTIC_TRANSPARENT
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			continue;
		}
		break;
		case 7: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			continue;
		}
		break;
		case 8: {
			#define STOCHASTIC_UNSHADED
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 9: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 10: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 11: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 12: {
			#define STOCHASTIC_UNSHADED
			#include "stochasticPoint.h"
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 13: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 14: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 15: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			continue;
		}
		break;
		case 16: {
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 17: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 18: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 19: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 20: {
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 21: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 22: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 23: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 24: {
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 25: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 26: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 27: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 28: {
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 29: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 30: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 31: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			continue;
		}
		break;
		case 32: {
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 33: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 34: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 35: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 36: {
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 37: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 38: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 39: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 40: {
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 41: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 42: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 43: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 44: {
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 45: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 46: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 47: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 48: {
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 49: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 50: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 51: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 52: {
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 53: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 54: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 55: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 56: {
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 57: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 58: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 59: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticTriangle.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 60: {
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 61: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 62: {
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		case 63: {
			#define STOCHASTIC_MOVING
			#define STOCHASTIC_TRANSPARENT
			#define STOCHASTIC_UNSHADED
			#define STOCHASTIC_FOCAL_BLUR
			#define STOCHASTIC_EXTRA_SAMPLES
			#include "stochasticPoint.h"
			#undef STOCHASTIC_MOVING
			#undef STOCHASTIC_TRANSPARENT
			#undef STOCHASTIC_UNSHADED
			#undef STOCHASTIC_FOCAL_BLUR
			#undef STOCHASTIC_EXTRA_SAMPLES
			continue;
		}
		break;
		default:
		break;
	}
}

